Loading...
Searching...
No Matches
Halide::Internal::ReductionVariableInfo Struct Reference

Return a list of reduction variables the expression or tuple depends on. More...

`#include <DerivativeUtils.h>`

## Public Attributes

Expr | min
Expr | extent
int | index
ReductionDomain | domain
std::string | name

## Detailed Description

Return a list of reduction variables the expression or tuple depends on.

Definition at line 32 of file DerivativeUtils.h.

## Member Data Documentation

## min

Expr Halide::Internal::ReductionVariableInfo::min

Definition at line 33 of file DerivativeUtils.h.

## extent

Expr Halide::Internal::ReductionVariableInfo::extent

Definition at line 33 of file DerivativeUtils.h.

## index

int Halide::Internal::ReductionVariableInfo::index

Definition at line 34 of file DerivativeUtils.h.

## domain

ReductionDomain Halide::Internal::ReductionVariableInfo::domain

Definition at line 35 of file DerivativeUtils.h.

## name

std::string Halide::Internal::ReductionVariableInfo::name

Definition at line 36 of file DerivativeUtils.h.

The documentation for this struct was generated from the following file:

- src/DerivativeUtils.h